Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de chemin d’accès
name
string
obligatoire
Name of the model.
version
string
obligatoire
Version of the model.
Corps de la demande
The credential request request body.
blobUri
string
obligatoire
Blob URI of the model asset to fetch credentials for.
Réponses
The request has succeeded.
Corps
blobReference
BlobReference
obligatoire
Blob reference details.
blobUri
string
obligatoire
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
obligatoire
ARM ID of the storage account to use.
credential
SasCredential
obligatoire
SAS Credential definition
sasUri
string
obligatoire
SAS uri
type
enum
obligatoire
Type of credential
Requête
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json